# Tokens from environment

Provides tokens for environment variables.

## INTRODUCTION ##
It allows to define environment variables that will be available as tokens
(as <em>env:[ENV_VAR_NAME]</em>). Those tokens will then be replaced by Drupal's
Token Service.

Any environment variable accessible through PHP's `getenv()` can be defined
as a token.

## REQUIREMENTS ##
No other module required.

## INSTALLATION ##
Run `composer require drupal/token_environment`.

## CONFIGURATION ##
By default, no environment variable is available as a token, since that
could give access to sensitive data on the server. Environment variables must be
explicitly whitelisted at /admin/config/system/token-environment.

## Drupal 8 & 9 ##
 This module is compatible with Drupal 8 and Drupal 9.

## Drupal 7 ##
There is a Drupal 7 compatible module called
[token_env](https://www.drupal.org/project/token_env).
